﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Post6541._Default" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>

    <script type="text/javascript">

        var simpleMarkerOverlay = null;
        var tgMap = null;

        var OnMapCreated = function(map) {

            tgMap = map;
            if (simpleMarkerOverlay == null) {
                simpleMarkerOverlay = new OpenLayers.Layer.Markers("SimpleMarkerOverlay");
                map.addLayer(simpleMarkerOverlay);
            }
        }

        function AddEnterLabel() {

            var size = new OpenLayers.Size(15, 17);
            var offset = new OpenLayers.Pixel(-(size.w / 2), -size.h);
            var icon = new OpenLayers.Icon('theme/default/img/marker_blue.gif', size, offset);
            var lonlat = new OpenLayers.LonLat(50, 50);
            simpleMarkerOverlay.addMarker(new OpenLayers.Marker(lonlat, icon));

            var content = "<input type='text'></input>";
            var popup = new OpenLayers.Popup("inputText",
                   lonlat,
                   new OpenLayers.Size(200, 200),
                   content,
                   false);
            popup.backgroundColor = 'Transparent';
            tgMap.addPopup(popup);
        }    
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <div id="wholeMap">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <cc1:Map ID="Map1" runat="server" Height="480px" Width="640px">
        </cc1:Map>
        <div>
            <input type="button" id="btnAddEnterLabel" onclick="AddEnterLabel()" value="AddEnterLabelAndMarker" />
        </div>
    </div>
    </form>
</body>
</html>
